
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2016-10-05
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>Contributing to Papyrus Components | Papyrus Components</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/docs.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/reflow-skin.css" rel="stylesheet" />


		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/lightbox.css" rel="stylesheet" />

		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/site.css" rel="stylesheet" />
		<link href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/css/highlightjs/default.min.css"></link>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/highlight.min.js"></script>
	</head>

	<body class="page-contribute project-orgeclipsepapyruscomponentsparent" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/index.html">Papyrys <span class="color-highlight">Components</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Components <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="https://www.eclipse.org/papyrus/components/sysml" title="SysML 1.4" target="_blank" class="externalLink">SysML 1.4</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/robotml" title="RobotML" target="_blank" class="externalLink">RobotML</a></li>
									<li ><a href="https://www.eclipse.org/papyrus/components/designer" title="Designer" target="_blank" class="externalLink">Designer</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Doc <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="user/index.html" title="User">User</a></li>
									<li ><a href="relenger/index.html" title="Relenger">Relenger</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://www.eclipse.org/papyrus/components/components/components-0.0.18/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Components</span> project</h1></a>
					<p class="lead">Papyrus Components Standardisation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Contributing_to_Papyrus_Components" title="Contributing to Papyrus Components">Contributing to Papyrus Components</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Project_description" title="Project description:">Project description:</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Create_a_new_bug" title="Create a new bug:">Create a new bug:</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Search_for_bugs" title="Search for bugs:">Search for bugs:</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Contributor_License_Agreement" title="Contributor License Agreement:">Contributor License Agreement:</a></li>
						<li class="divider-vertical"></li>
						<li class="toplevel"><a href="#Developer_resources" title="Developer resources:">Developer resources:</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Contributing_to_Papyrus_Components">Contributing to Papyrus Components</h2>
 </div> 
 <p>Thanks for your interest in this project.</p> 
</div> 
<div class="section"> 
 <h2 id="Project_description">Project description:</h2> 
 <p>A shared developer environment for integrating Components in Papyrus <a class="externalLink" href="https://projects.eclipse.org/projects/modeling.mdt.papyrus">Eclipse Papyrus project</a>.</p> 
</div> 
<div class="section"> 
 <h2 id="Create_a_new_bug">Create a new <a class="externalLink" href="https://bugs.eclipse.org/bugs/enter_bug.cgi">bug</a>:</h2> 
 <p>Be sure to search for existing bugs before you create another one. Remember that contributions are always welcome!</p> 
</div> 
<div class="section"> 
 <h2 id="Search_for_bugs">Search for <a class="externalLink" href="https://bugs.eclipse.org/bugs/enter_bug.cgi">bugs</a>:</h2> 
 <p>This project uses Bugzilla to track ongoing development and issues.</p> 
</div> 
<div class="section"> 
 <h2 id="Contributor_License_Agreement">Contributor License Agreement:</h2> 
 <p>Before your contribution can be accepted by the project, you need to create and electronically sign the Eclipse Foundation Contributor License Agreement <a class="externalLink" href="https://www.eclipse.org/legal/eca/">(CLA)</a>.</p> 
</div> 
<div class="section"> 
 <h2 id="Developer_resources">Developer resources:</h2> 
 <ul> 
  <li>Check the README.md file for developing information</li> 
  <li>Continuous integration with <a class="externalLink" href="https://hudson.eclipse.org/papyrus/">Hudson</a></li> 
  <li>Contribution review with <a class="externalLink" href="https://git.eclipse.org/">Gerrit</a></li> 
 </ul> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus.tools.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Components/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li >
							<a href="org.eclipse.papyrus.components.archetype/index.html" title="Papyrus Components Archetype">Papyrus Components Archetype</a>
						</li>
						<li class="nav-header">Parent</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-right"></i></a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Components</span> project is aiming at providing an integrated and developer environment for adding components to Papyrus core.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 0.0.18. </span><span class="publishDate">Last Published: 2016-10-05. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/jquery.min.js"></script>

	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/bootstrap.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/lightbox.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/reflow-scroll.js"></script>
	
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/highlight.min.js"></script>
<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/jquery.min.js"></script>
	<script src="https://www.eclipse.org/papyrus/components/components/components-0.0.18/js/reflow-skin.js"></script>

	</body>
</html>
